POA(1)

NAME
poa - align a set of sequences or alignments.

SYNOPSIS

poa [OPTIONS] [MATRIXFILE]

One of the -read_fasta, -read_msa, or -read_msa_list arguments must be used, since a sequence or alignment file is required.

DESCRIPTION

POA is Partial Order Alignment, a fast program for multiple sequence alignment (MSA) in bioinformatics. Its advantages are speed, scalability, sensitivity, and the superior ability to handle branching / indels in the alignment. Partial order alignment is an approach to MSA, which can be combined with existing methods such as progressive alignment. POA optimally aligns a pair of MSAs and which therefore can be applied directly to progressive alignment methods such as CLUSTAL. For large alignments, Progressive POA is 10 to 30 times faster than CLUSTALW.

EXAMPLES

poa -read_fasta multidom.seq -clustal m.aln blosum80.mat

On Debian systems, poa can be tested using the following command:

poa -read_fasta /usr/share/doc/poa/examples/multidom.seq -clustal /dev/stdout -v /usr/share/poa/blosum80.mat

OPTIONS

  INPUT

-read_fasta FILE
    Read in FASTA sequence file.

-read_msa FILE
    Read in MSA alignment file.

-read_msa2 FILE
    Read in second MSA file.

-subset FILE
    Filter MSA to include list of seqs in file.

-subset2 FILE
    Filter second MSA to include list of seqs in file.

-remove FILE
    Filter MSA to include list of seqs in file.

-remove2 FILE
    Filter second MSA to include list of seqs in file.

-read_msa_list FILE
    Read an MSA from each filename listed in file.

-tolower
    Force FASTA/MSA sequences to lowercase (nucleotides in our matrix files).

-toupper
    Force FASTA/MSA sequences to UPPERCASE (amino acids in our matrix files).

  ALIGNMENT

-do_global
    Do global alignment.

-do_progressive
    Perform progressive alignment using a guide tree built by neighbor joining from a set of sequence-sequence similarity scores.

-read_pairscores FILE
    Read tab-delimited file of similarity scores (If not provided, scores are constructed using pairwise sequence alignment.)

-fuse_all
    Fuse identical letters on align rings.

  ANALYSIS

-hb
    Perform heaviest bundling to generate consensi.

-hbmin VALUE
    Include in heaviest bundle sequences with percent ID (as a fraction) >= VALUE.

  OUTPUT

-pir FILE
    Write out MSA in PIR format.

-clustal FILE
    Write out MSA in CLUSTAL format.

-po FILE
    Write out MSA in PO format.

-preserve_seqorder
    Write out MSA with sequences in their input order.

-printmatrix LETTERS
    Print score matrix to stdout.

-best
    Restrict MSA output to heaviest bundles (PIR only).

-v
    Run in verbose mode (e.g. output gap penalties).

REFERENCE

Please cite Grasso C, Lee C. (2004) Combining partial order alignment and progressive multiple sequence alignment increases alignment speed and scalability to very large alignment problems. Bioinformatics. 2004 Jul 10;20(10):1546-56. Epub 2004 Feb 12.

SEE ALSO

The homepage of POA is http://www.bioinformatics.ucla.edu/poa

COPYRIGHTS

Copyright (C) 2001, 2006 Christopher Lee <leec@mbi.ucla.edu>. POA is free software. You can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation.

This manual page was written by Charles Plessy <charles-debian-nospam@plessy.org> for the Debian(TM) system (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.

COPYRIGHT
Copyright © 2006 Charles Plessy